It would be nicer to do this at compile time, but then we would need to
compile libgtk2 for the host as well.
--- /dev/null
+#!/bin/sh
+#
+# run pgdk-pixbuf-query-loaders if needed
+
+FILE=/etc/gtk-2.0/gdk-pixbuf.loaders
+
+case "$1" in
+ start|"")
+ if [ ! -f "$FILE" ] ; then
+ /usr/bin/gdk-pixbuf-query-loaders > "$FILE"
+ fi
+ ;;
+ stop)
+ ;;
+ *)
+ echo "Usage: $0 {start|stop}" >&2
+ exit 1
+ ;;
+esac
endif
$(eval $(call AUTOTARGETS,package,libgtk2))
+
+$(LIBGTK2_HOOK_POST_INSTALL):
+ $(INSTALL) -m 755 package/libgtk2/S26libgtk2 $(TARGET_DIR)/etc/init.d/
+ touch $@